#!/bin/bash
declare -a input_nums
declare -a input_names
declare -a output_nums
declare -a output_names

IFS=""
readarray -t input_nums <<< $(arecord -l | grep card | cut -d" " -f2 | tr -d ":")
readarray -t output_nums <<< $(aplay -l | grep card | cut -d" " -f2 | tr -d ":")
readarray -t input_names <<< $(arecord -l | grep card | cut -d"[" -f2 | cut -d "]" -f1)
readarray -t output_names <<< $(aplay -l | grep card | cut -d"[" -f2 | cut -d "]" -f1) 

echo -n "var ALSA_INS={"
for ((i=0;i<${#input_nums[@]};++i)); do
	printf "\"%s\":\"%s\"" "${input_nums[i]}" "${input_names[i]}"
#	echo -n "\"${input_nums[$i]}\":\"${input_names[$i]}\""
	b=$(( i + 1 ))
	if [ "$b"  -lt  "${#input_nums[@]}" ]; then echo -n ","; fi
done
echo "};"

echo -n "var ALSA_OUTS={"
for ((i=0;i<${#output_nums[@]};++i)); do
        printf "\"%s\":\"%s\"" "${output_nums[i]}" "${output_names[i]}"
        b=$(( i + 1 ))
        if [ "$b"  -lt  "${#output_nums[@]}" ]; then echo -n ","; fi
done
echo "};"

