<% . /usr/local/lib/cgi/haserl.sh ; check_instances uilogs.cgi %>
<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<% . /usr/local/lib/cgi/status.sh %>
<% . /usr/local/lib/cgi/config.sh %>
<%

# comment the weblogs for now
# paths to log files
# declare -a LOG_PATHS=('/var/log/messages' '/var/log/lighttpd-access.log')
declare -a LOG_PATHS=('/var/log/messages')

# fancy names of logs
# declare -a LOG_NAMES=('System log' 'Web access log')
declare -a LOG_NAMES=('System log')

# cgi scripts to call on button click
# declare -a LOG_CGIS=('download_applog.cgi' 'download_weblog.cgi')
declare -a LOG_CGIS=('download_applog.cgi')

# Parameters:
# $1 = fancy name
# $2 = path
function print_log()
{
  # number of last entries to be shown on the homepage
  LOG_HISTORY_LEN=50
  echo -n '
        <form action='
  echo -n "${3}"
  echo -n '
        method="get">'
  echo -n '<table><tr><td style="vertical-allign:middle;width:120px">'
  echo -n "<b>${1}</b></td><td>"
  echo -n '<input type=submit value=" Download all messages ">'
  echo -n "</td></table><br>"
  echo "</form>"
  echo "<div style='border: 1px solid #cccccc; overflow:auto; height:520px; width:980px;'>"
  echo "<pre style='font-size:12px;'>"
  tail -n $LOG_HISTORY_LEN "$2"
  echo "</pre></div><br>"
}

%>

<html>
<head>
<link href="/sys/css/basic.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
body { margin-left:20px}
-->
</style>
</head>
<body>

<%

for (( i = 0 ; i < ${#LOG_NAMES[@]} ; i++ )) do
	print_log "${LOG_NAMES[$i]}" "${LOG_PATHS[$i]}" "${LOG_CGIS[$i]}"
done

%>

</body>
</html>